*** Malaria Tanzania
*** January 2016
*** Ninja Klejnstrup, John Rand and Julie Buhl Wiggers

	clear all
 
	import excel "in\pfpr.xlsx", sheet("Sheet1") firstrow clear
	keep pfpr* ADM2_NAME pop* pfp*

	drop if ADM2_NAME=="Central"|ADM2_NAME=="Chake chake"|ADM2_NAME=="North A" |ADM2_NAME=="North B" ///
	|ADM2_NAME=="Micheweni"|ADM2_NAME=="Mkoani"|ADM2_NAME=="South"|ADM2_NAME=="Urban"|ADM2_NAME=="West" ///
	|ADM2_NAME=="Wete"|ADM2_NAME=="Administrative unit not available"|ADM2_NAME=="Mafia"

	rename ADM2_NAME id_districtNameMap
	replace id_districtNameMap=lower(id_districtNameMap)

	rename pfpr2* pfprtemp2*
	rename pfpr_pop* pfpr*
	rename pfprtemp* pfpr_pop*

	forvalues i=0(1)9{
	rename *200`i' *0`i'
	}
	forvalues i=10(1)15{
	rename *20`i' *`i'
	}

	save work\pfpr_final_new, replace
	reshape long pfpr pop pfpr_pop, i(id_districtNameMap) j(year 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15)

	save work\pfpr_final_long_new, replace

********************************************************************************
* COMPARE REGION PREVALENCE TO THAT CALCULATED BY MAP 						   *
********************************************************************************

	import excel work\PfPR_population_weighted.xlsx, sheet("Sheet1") firstrow clear
	rename Name region
	save work\nature.dta, replace

	use work\pfpr_final_long_new, clear
	merge m:1 id_districtNameMap using in\regions_tz
	drop if _merge!=3
	drop _merge
	rename REGNAME region

	egen region_pop=sum(pop), by (region year)
	gen district_inc= pfpr_pop
	egen region_inc=sum(district_inc), by (region year)
	gen pfpr_region= region_inc/ region_pop
	keep year region region_pop pfpr_region region_inc
	duplicates drop

	preserve
	keep pfpr_region year region
	save work\pfpr_final_region_long_new, replace
	restore

	reshape wide region_inc pfpr_region region_pop, i( region) j( year)
	*order region_inc0 region_inc1 region_inc2 region_inc3 region_inc4 region_inc5 region_inc6 region_inc7 region_inc8 region_inc9 region_inc10 region_inc11 region_inc12 region_inc13 region_inc14 region_inc15, a( contemp_pfpr_region15)

	merge 1:1 region using work\nature
	keep if _merge==3
	drop _merge

	local i=0
	foreach v of varlist E-T {
		rename `v' nature_`i'
		local i=`i'+1
	}

	forvalues v = 0(1)15 {
	
	}

	reshape long pfpr_region nature_ diff_ region_inc region_pop, i(region) j(year)
	replace year=year+2000

	levelsof region, local(regions)
	foreach r of local regions {
		twoway (connected pfpr_region year if region=="`r'") (connected nature year if region=="`r'"), ytitle(Prevalence) xtitle(Year) title(`r') subtitle(Prevalence by year) ///
		legend(order(1 "Our calculation" 2 "MAP calculation")) ylabel(0(0.1)0.8)
		graph export "work\Graphs\Pfpr_compare\pfpr`r'_new.png", replace
	}

	use work\pfpr_final_region_long_new, clear
	reshape wide pfpr_region, i(region) j( year)
	save work\pfpr_final_region_new, replace
