*** Malaria Tanzania
*** January 2016
*** Ninja Klejnstrup, John Rand and Julie Buhl Wiggers

	clear all
	set more off

	!rmdir work/Temp /s /q
	capture mkdir work/Temp

	use work\pfpr_final_long_new, clear
	g cohort=year+2000
	g inutero_pfpr=pfpr
	encode id_districtNameMap, g(district)
	tsset district cohort
	gen LD_inutero_pfpr=inutero_pfpr-F5.inutero_pfpr
	
	keep cohort inutero_pfpr LD_inutero_pfpr id_districtNameMap
	save work\Temp\cohort, replace

	use work\pfpr_final_long_new, clear
	g contemp_pfpr=pfpr
	keep year contemp_pfpr id_districtNameMap
	save work\Temp\contemp, replace

	use work\pfpr_final_new, clear
	keep id pfpr00
	save work\Temp\base, replace

	use work\pfpr_final_new, clear
	order pfpr*, alpha
	forvalues y=10/14 {
		foreach c in 00 01 02 03 04 05 06 07 08 09 10 {
			egen pfpr_av`y'`c'=rmean(pfpr`c'-pfpr`y')
		}
	}
	
	
	
	
	keep id pfpr_av*
	reshape long pfpr_av10 pfpr_av11 pfpr_av12 pfpr_av13 pfpr_av14, i(id) j(cohort 00 01 02 03 04 05 06 07 08 09 10)
	reshape long pfpr_av, i(id cohort) j(year)  
	replace cohort=cohort+2000
	save work\Temp\average, replace

	use work\pfpr_final_new, clear
	forvalues c=0/9 {
		rename pfpr0`c' pfpr`c'
	}
	forvalues c=16/30 {
		g pfpr`c'=.
	}
	order pfpr*, alpha
	g pfprmiss=.
	forvalues c=0/15 {
		forvalues a=0/15 {
			local y=`c'+`a'
			g pfpr_`a'_`c'=pfpr`y' 
		}
	}
	keep id pfpr_*
	reshape long pfpr_0_ pfpr_1_ pfpr_2_ pfpr_3_ pfpr_4_ pfpr_5_ pfpr_6_ pfpr_7_ pfpr_8_ pfpr_9_ pfpr_10_ pfpr_11_ pfpr_12_ pfpr_13_ pfpr_14_ pfpr_15_, i(id) j(cohort)
	forvalues v=0/15 {
		rename pfpr_`v'_ pfpr_`v'
		label var pfpr_`v' "Pfpr at age `v'"
	}
	replace cohort=2000+cohort
	save work\Temp\ages, replace


	use work\pfpr_final_region_long_new, clear
	g cohort=year+2000
	g inutero_pfpr_region=pfpr_region
	keep cohort inutero_pfpr_region region
	save work\Temp\cohortr, replace

	use work\pfpr_final_region_long_new, clear
	g contemp_pfpr_region=pfpr_region
	keep year contemp_pfpr_region region
	save work\Temp\contempr, replace

	use work\pfpr_final_region_new, clear
	rename pfpr_region0 pfpr00_region
	keep pfpr00_region region
	save work\Temp\baser, replace

	use work\pfpr_final_region_new, clear
	foreach n in 0 1 2 3 4 5 6 7 8 9 {
		rename pfpr_region`n' pfpr_region0`n'
	}
	order pfpr*, alpha
	forvalues y=10/14 {
	foreach c in 00 01 02 03 04 05 06 07 08 09 10 {
		egen pfpr_region_av`y'`c'=rmean(pfpr_region`c'-pfpr_region`y')
		}
	}
	keep region pfpr_region_av*
	reshape long pfpr_reion_av10 pfpr_region_av11 pfpr_region_av12 pfpr_region_av13 pfpr_region_av14, i(region) j(cohort 00 01 02 03 04 05 06 07 08 09 10)
	reshape long pfpr_region_av, i(region cohort) j(year)  
	replace cohort=cohort+2000
	save work\Temp\averager, replace

	use work\lights_final_long, clear
	g cohort=year+2000
	keep cohort lights_pop id_districtNameMap lights
	save work\Temp\cohort_lights, replace

	use work\lights_final_region_long, clear
	g cohort=year+2000
	keep cohort lights_pop_region region region_lights
	save work\Temp\cohortr_lights, replace

	use work\gdp, clear
	g cohort=year+2000
	keep gdp region cohort
	save work\Temp\cohortr_gdp, replace

	use work\Uwezo_new, clear
	g cohort = year-age+2000

	gen comp_eng=0
	replace comp_eng=1 if english1==1|english2==1 /*at least one comprehension correct*/
	g english_comp=english+comp_eng

	gen comp_swa=0
	replace comp_swa=1 if swahili1==1|swahili2==1 /*at least one comprehension correct*/
	g swahili_comp=swahili+comp_swa

	merge m:1 id_districtNameMap using in\regions_tz
	drop if _merge!=3
	drop _merge
	rename REGNAME region
	merge m:1 id_districtNameMap cohort using work\Temp\cohort
	drop if _merge==2
	drop _merge
	order id_districtNameMap cohort inutero_pfpr LD_inutero_pfpr, b(id_database)
	merge m:1 id_districtNameMap year using work\Temp\contemp
	drop if _merge==2
	drop _merge
	order contemp_pfpr, b(id_database)
	merge m:1 id_districtNameMap using work\Temp\base
	assert _merge
	drop _merge
	order pfpr00, b(id_database)
	merge m:1 region cohort using work\Temp\cohortr
	drop if _merge==2
	drop _merge
	merge m:1 region year using work\Temp\contempr
	drop if _merge==2
	drop _merge
	merge m:1 region using work\Temp\baser
	drop if _merge==2
	drop _merge
	merge m:1 id_districtNameMap cohort year using work\Temp\average
	drop if _merge==2
	drop _merge
	merge m:1 region cohort year using work\Temp\averager
	drop if _merge==2
	drop _merge
	merge m:1 cohort id_districtNameMap using work\Temp\ages
	drop if _merge==2
	drop _merge
	forvalues a=0/15 {
	replace pfpr_`a'=. if age<`a'
	}
	merge m:1 id_districtNameMap cohort using work\Temp\cohort_lights
	drop if _merge==2
	drop _merge
	order id_districtNameMap cohort lights_pop, b(id_database)
	merge m:1 region cohort using work\Temp\cohortr_lights
	drop if _merge==2
	drop _merge
	merge m:1 region cohort using work\Temp\cohortr_gdp
	drop if _merge==2
	drop _merge
	order inutero_pfpr_region contemp_pfpr_region pfpr00_region pfpr_av pfpr_region_av pfpr_* lights_pop lights_pop_region, b(id_database)

	save work\data_final_new, replace
	!rmdir work/Temp /s /q

