	set more off
	clear all
	
	use "work/dataFinal"

***Collapsing data, c.f. Deaton
*	g help=1
	egen N=sum(help), by(district_num year cohort)
	collapse (mean) pfpr00 pfpr_* inutero_pfpr inutero_pfpr_region pfpr02  lights lights_pop gdp contemp_pfpr age english_ctd math_ctd swahili_ctd english_comp swahili_comp onTime cmpltdGrade math N poor ultra neverenrolled enr_ans hh_size mother_somePrimary mother_someSecond mother_postSecond lit_pass english_pass math_pass swahili_pass female birthorder [pweight=weight], by(district_num year cohort region_num)
	label var N "Number of observations per district, cohort, year"

***Variables
	gen dy = district_num+(1000*year)
	gen dc = district_num+(1000*cohort)
	gen da = region_num+(1000*age)
	gen ry = region_num+(1000*year)
	gen rc = region_num+(1000*cohort)
	gen ra = region_num+(1000*age)
	g yearnew=year
	replace yearnew=13 if year==14
	gen dyearnew=district_num+(1000*yearnew)
	gen ryearnew=region_num+(1000*yearnew)
	order pfpr_*, a(contemp)

************************
* Regression parameters/inputs
************************

	global controls  female birthorder hh_size mother_somePrimary mother_someSecond mother_postSecond poor ultra lights_pop  /**/
	global type cohort
	global cluster dc
	
	local stripout = subinstr("$controls","i.","",.)

************************
* Appendix table  - Cohort level results
************************
putexcel set out/Tables/Table3, modify

	local id = 0
	quie foreach test in english_ctd math_ctd swahili_ctd {
		local nn = proper("`test'")
		local ++id
		if `id' ==1 local out replace
		
		noi reg `test' inutero_pfpr if cohort<2007, cl($cluster)							/* naive model */
		outreg2 using "out\Tables\SI_cohort", excel keep (inutero_pfpr) ctitle("`nn'")  nocons `out'
		
		local out append
		noi reghdfe `test' inutero_pfpr $controls if cohort<2007 [aw=N] , a(dyearnew) vce(cluster $cluster)			/* model with controls */
		outreg2 using "out\Tables\SI_cohort", excel keep (inutero_pfpr) ctitle("`nn'")  nocons `out'		
		
		scalar cohort_beta_`test'=_b[inutero_pfpr]
		scalar cohort_se_`test'=_se[inutero_pfpr]
		scalar cohort_N_`test'=e(N)
		putexcel D4=(cohort_N_english_ctd) E4=(cohort_beta_english_ctd) E5=(cohort_se_english_ctd)
	}
	
