

cd "C:\Users\jubu.eco\Dropbox\PhD\Malaria and cognitive development\Sam"


** Figure 1

use work\pfpr_final_long, clear
merge m:1 id_districtNameMap using in\regions_tz
 
drop if _merge!=3
drop _merge

replace year=year+2000

replace REGNAME = subinstr(REGNAME," ","",.)    
levelsof REGNAME, local(regions)
foreach r of local regions {
xtline pfpr if REGNAME=="`r'", i(id_districtNameMap) t(year) overlay ytitle("") xtitle("Year", margin(small)) ///
recast(connected) title("`r'", ring(0) size(medium)) yscale(range(0 1)) ylabel(.2 "0.2" .4 "0.4" .6 "0.6" .8 "0.8" 1 "1.0"  , labsize(small) nogrid) xlabel(2000(5)2015, labsize(small)) ///
plotregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) legend(off) name(`r', replace) nodraw 
}

foreach r in Arusha Kigoma Mbeya Rukwa Tanga {
xtline pfpr if REGNAME=="`r'", i(id_districtNameMap) t(year) overlay ytitle("PfPR", margin(small)) xtitle("Year", margin(small)) ///
recast(connected) title("`r'", ring(0) size(medium)) yscale(range(0 1)) ylabel(.2 "0.2" .4 "0.4" .6 "0.6" .8 "0.8" 1 "1.0" , labsize(small) nogrid) xlabel(2000(5)2015, labsize(small)) ///
plotregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) legend(off) name(`r', replace) nodraw
}

xtline pfpr if REGNAME=="DaresSalaam", i(id_districtNameMap) t(year) overlay ytitle("") ///
recast(connected) title("Dar es Salaam", ring(0) size(medium)) yscale(range(0 1)) ylabel(.2 "0.2" .4 "0.4" .6 "0.6" .8 "0.8" 1 "1.0", labsize(small)) xtitle("Year", margin(small)) xlabel(2000(5)2015, labsize(small)) name(DaresSalaam, replace) legend(off) ///
 plotregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white))  ylabel(,nogrid) nodraw

levelsof REGNAME, local(regions)
local graphs ""
foreach g of local regions {
local graphs "`graphs' `g'"
}

graph combine `graphs', c(5) xsize(1.75) ysize(2)  graphregion(fcolor(white) lcolor(white))
graph export "out\Graphs\Fig1.tif",  width(1800) replace


***Figure2
use work\dataFinal, clear
preserve
duplicates drop inutero_pfpr cohort district_num, force
egen dcile_inutero=xtile(inutero_pfpr), nq(10)
egen ptile_inutero=xtile(inutero_pfpr), nq(100)
g pcat_inutero=recode(inutero_pfpr, 0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1)
tempfile tempdata
save `tempdata'
restore
merge m:1 district_num cohort using `tempdata', nogen keepusing(dcile_inutero ptile_inutero pcat_inutero)
tempfile temp1 
tempfile temp2
tempfile temp3
statsby mean_english=r(mean) ub_english=r(ub) lb_english=r(lb), saving(`temp1', replace) by(pcat_inutero): ci means english_ctd
statsby mean_math=r(mean) ub_math=r(ub) lb_math=r(lb), saving(`temp2', replace) by(pcat_inutero): ci means math_ctd
statsby mean_swahili=r(mean) ub_swahili=r(ub) lb_swahili=r(lb), saving(`temp3', replace) by(pcat_inutero): ci means swahili_ctd
use `temp1', clear
merge 1:1 pcat_inutero using `temp2', nogen
merge 1:1 pcat_inutero using `temp3', nogen

twoway scatter mean_english pcat_inutero || rcap ub_english  lb_english pcat_inutero, legend(off)  graphregion(fcolor(white) lcolor(white)) xtitle("Bins of birth year PfPR")  ///
xlabel(.1 "0.1" .2 "0.2" .3 "0.3" .4 "0.4" .5 "0.5" .6 "0.6" .7 "0.7" .8 "0.8" .9 "0.9" 1 "1") ytitle("Mean of English test score") ylabel(-.5 "-0.5" 0 "0" .5 "0.5" 1 "1") name(eng, replace)

twoway scatter mean_math pcat_inutero || rcap ub_math  lb_math pcat_inutero, legend(off) graphregion(fcolor(white) lcolor(white)) xtitle("Bins of birth year PfPR") ///
xlabel(.1 "0.1" .2 "0.2" .3 "0.3" .4 "0.4" .5 "0.5" .6 "0.6" .7 "0.7" .8 "0.8" .9 "0.9" 1 "1") ytitle("Mean of numeracy test score") ylabel(-.5 "-0.5" 0 "0" .5 "0.5" 1 "1") name(mat, replace)

twoway scatter mean_swahili pcat_inutero || rcap ub_swahili lb_swahili pcat_inutero, legend(off) graphregion(fcolor(white) lcolor(white)) xtitle("Bins of birth year PfPR") ///
xlabel(.1 "0.1" .2 "0.2" .3 "0.3" .4 "0.4" .5 "0.5" .6 "0.6" .7 "0.7" .8 "0.8" .9 "0.9" 1 "1") ytitle("Mean of Kiswahili test score") ylabel(-.5 "-0.5" 0 "0" .5 "0.5" 1 "1") name(swa, replace)

graph combine eng mat swa, c(3) ycommon  graphregion(fcolor(white) lcolor(white))   title("Average test scores by bins of birth year PfPR at 0.1 intervals", size(small))
graph export "out\Graphs\Fig2.tif",  width(1800) replace


 ** Appendix Figures

use work\data_final_new, clear
drop if cohort<2000|cohort>2006
encode id_districtNameMap, g(district_num)
encode region, g(region_num)

 *S1 Fig - S3 Fig (By age) 
  forvalues ages=7/14{
 sum english_comp if age==`ages' [w=weight_all], d
 tw histogram english_comp if age==`ages', discrete yscale(line) xscale(line range(1 6)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) title("`ages' year olds", size(medium)) ylabel(,nogrid)|| function  y=`r(p50)', hor ra(0 0.6) ///
 , legend(label(2 "Median")) name(hist_eng`ages', replace)
 }
 
 grc1leg hist_eng7 hist_eng8 hist_eng9 hist_eng10 hist_eng11 hist_eng12 hist_eng13 hist_eng14, c(3) xcommon plotregion(fcolor(white) lcolor(white)) graphregion(fcolor(white) ilcolor(white) lcolor(white) )legendfrom(hist_eng7)
 graph save out\Graphs\FigF1e, replace
 graph export "out\Graphs\S1_Fig.tif",  width(1800) replace
 
  forvalues ages=7/14{
 sum swahili_comp if age==`ages' [w=weight_all], d
 tw histogram swahili_comp if age==`ages', discrete yscale(line) xscale(line range(1 6)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) title("`ages' year olds", size(medium)) ylabel(,nogrid)|| function  y=`r(p50)', hor ra(0 0.8) ///
 , legend(label(2 "Median")) name(hist_swa`ages', replace)
 }
 
 grc1leg hist_swa7 hist_swa8 hist_swa9 hist_swa10 hist_swa11 hist_swa12 hist_swa13 hist_swa14, c(3) xcommon plotregion(fcolor(white) lcolor(white)) graphregion(fcolor(white) ilcolor(white) lcolor(white) )legendfrom(hist_swa7)
 graph save out\Graphs\FigF1s, replace
  graph export "out\Graphs\S3_Fig.tif",  width(1800) replace


  forvalues ages=7/14{
 sum math if age==`ages' [w=weight_all], d
 tw histogram math if age==`ages', discrete yscale(line) xscale(line range(1 7)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) title("`ages' year olds", size(medium)) ylabel(,nogrid)|| function  y=`r(p50)', hor ra(0 0.7) ///
 , legend(label(2 "Median")) name(hist_math`ages', replace)
 }
  grc1leg hist_math7 hist_math8 hist_math9 hist_math10 hist_math11 hist_math12 hist_math13 hist_math14, c(3) xcommon plotregion(fcolor(white) lcolor(white)) graphregion(fcolor(white) ilcolor(white) lcolor(white) )legendfrom(hist_math7)
 graph save out\Graphs\FigF1m, replace
  graph export "out\Graphs\S2_Fig.tif",  width(1800) replace
  
  *S5 - S7 Fig
  
  use work\dataFinal, clear
preserve
duplicates drop inutero_pfpr cohort district_num, force
egen dcile_inutero=xtile(inutero_pfpr), nq(10)
egen ptile_inutero=xtile(inutero_pfpr), nq(100)
g pcat_inutero=recode(inutero_pfpr, 0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1)
tempfile tempdata
save `tempdata'
restore
merge m:1 district_num cohort using `tempdata', nogen keepusing(dcile_inutero ptile_inutero pcat_inutero)
 
vioplot english_ctd, over(pcat_inutero) obs(alt) bar(lcolor(red)) legend(off)  graphregion(fcolor(white) lcolor(white)) xtitle("Bins of birth year PfPR") ///
 ytitle("Centered English test score") xlabel(1 "0.1" 2 "0.2" 3 "0.3" 4 "0.4" 5 "0.5" 6 "0.6" 7 "0.7" 8 "0.8" 9 "0.9") note("Note: Numbers of observations per bin in parantheses")  
graph export "out\Graphs\S5_Fig.tif",  width(1800) replace

 
vioplot math_ctd, over(pcat_inutero) obs(alt) bar(lcolor(red)) legend(off)  graphregion(fcolor(white) lcolor(white)) xtitle("Bins of birth year PfPR") ///
 ytitle("Centered Numeracy test score") xlabel(1 "0.1" 2 "0.2" 3 "0.3" 4 "0.4" 5 "0.5" 6 "0.6" 7 "0.7" 8 "0.8" 9 "0.9") note("Note: Numbers of observations per bin in parantheses") 
graph export "out\Graphs\S6_Fig.tif",  width(1800) replace

 
vioplot swahili_ctd, over(pcat_inutero) obs(alt) bar(lcolor(red)) legend(off)  graphregion(fcolor(white) lcolor(white)) xtitle("Bins of birth year PfPR") ///
 ytitle("Centered Kiswahili test score") xlabel(1 "0.1" 2 "0.2" 3 "0.3" 4 "0.4" 5 "0.5" 6 "0.6" 7 "0.7" 8 "0.8" 9 "0.9") note("Note: Numbers of observations per bin in parantheses") 
graph export "out\Graphs\S7_Fig.tif",  width(1800) replace

  
  
  *S8 Fig
  histogram english_comp, yscale(line) xscale(line) title("English") ///
  subtitle(, fcolor(dimgray) lcolor(black)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white) ) ///
  xtitle("Score") xlabel(1(1)6)  ylabel(,nogrid) name(hist_eng_enr, replace)
  
 histogram swahili_comp, yscale(line) xscale(line) title("Kiswahili") ///
  subtitle(, fcolor(dimgray) lcolor(black)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) ///
  xtitle("Score") xlabel(1(1)6)  ylabel(,nogrid) name(hist_swa_enr, replace)
  
   histogram math, yscale(line) xscale(line) title("Numeracy") ///
  subtitle(, fcolor(dimgray) lcolor(black)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) ///
  xtitle("Score") xlabel(1(1)7) ylabel(,nogrid) name(hist_math_enr, replace)
  
  graph combine hist_eng_enr hist_math_enr hist_swa_enr, r(1) ysize(1.25) xsize(2.5) ycommon  graphregion(fcolor(white) lcolor(red))
graph export "out\Graphs\S8_Fig.png",  width(1800) replace

